<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragments/fragments :: head"></head>
<body>
<div th:replace="fragments/fragments :: header"></div>

<div class="container">
    <div th:replace="fragments/fragments :: div#page-header"></div>
    <div class="row">
        <div class="col-lg-12">
            <h4>Registration</h4>
            <p>Please register <a th:href="@{/registration}">here</a>!</p>
        </div>
    </div>

    <hr/>

    <div class="row">
        <div class="col-lg-12">
            <h4>Hello Bot</h4>
            <p>Connect and send your name to say hello to the Bot!</p>
            <!-- TODO Add the connect and send forms to connect and send through WebSockets -->
                <form class="form-inline">
                    <div class="form-group">
                        <button id="connect" class="btn btn-primary" type="submit">Connect</button>
                        <button id="disconnect" class="btn btn-danger" type="submit" disabled="disabled">Disconnect</button>
                    </div>
                </form>
                <br/>
                <form id="name-form" class="form-inline">
                    <div class="form-group">
                        <input type="text" id="name" class="form-control" placeholder="Who are you?"/>
                    </div>
                    <button id="send" class="btn btn-primary" type="submit">Send</button>
                </form>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <table id="conversation" class="table table-striped">
                <thead>
                <tr>
                    <th>Bot Messages</th>
                </tr>
                </thead>
                <tbody id="messages"></tbody>
            </table>
        </div>
    </div>

    <hr/>
</div>

<div th:replace="fragments/fragments :: div.scripts"></div>
<!-- TODO Add the SockJS, STOMP and App JavaScript files -->
<script src="/webjars/sockjs-client/sockjs.min.js"></script>
<script src="/webjars/stomp-websocket/stomp.min.js"></script>
<script src="/js/app.js"></script>
</body>
</html>